Description

Since many LDAP sources in enterprises will be a Microsoft Active Directory  where white spaces in login names are common it

would be nice if when someone tries to login with such a login the white spaces would be transformed to dots so that a mapping for

existing logins and creation of on-the-fly logins are possible.

Example: Login name "Foo Bar" would be transformed to "foo.bar"

Associated revisions

Revision dbe0b5ca - 12/19/2016 06:33 AM - Marek Hulán

Refs #8339 - update AD login attribute

History

#1 - 11/11/2014 11:05 AM - Dominic Cleal

- translation missing: en.field_release deleted (27)

#2 - 12/04/2015 05:34 AM - Andy Airey

We have such an AD environment, it contains usernames (the 'sAMAccountName' LDAP Attribute) with spaces in it.

I am not able to create a user with a space in the name from within foreman.

I have tried replacing the whitespace with '%20' or a '.' to no avail.

When I try with a user which does not have a space in his sAMAccountName, it is working fine.

#3 - 10/20/2016 02:47 AM - Marek Hulán

- Bugzilla link set to 1387093

#4 - 10/24/2016 12:33 PM - Marek Hulán

- Status changed from New to Need more information

As mentioned in linked BZ, using userPrincipalName might be a better approach than allowing spaces in sAMAccountName. sAMAccountName is

supposed to be used for backwards compatibility with legacy Microsoft systems. userPrincipalName contains user login name. Would that be a viable

solution? We should probably fix it in our manual.

#5 - 11/08/2016 02:28 PM - Bryan Kearney

Marek, who do you need the info from?

-- bk

#6 - 11/09/2016 04:43 AM - Marek Hulán

Ideally from the reporter - Daniel Kröger. If this resolves his issue we can mark this as closed.

#7 - 12/19/2016 02:14 AM - Marek Hulán
https://msdn.microsoft.com/en-us/library/ms680857(v=vs.85).aspx
https://msdn.microsoft.com/en-us/library/ms679635(v=vs.85).aspx


- Status changed from Need more information to Feedback

#8 - 05/17/2017 11:45 AM - Anonymous

- Status changed from Feedback to Resolved

no reaction, closing
